Bug 980834 - [balloon]The illegal input still lead guest to balloon an minimal value.
[balloon]The illegal input still lead guest to balloon an minimal value.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 06:23 EDT by Min Deng
Modified: 2013-12-05 05:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 17:40:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Min Deng 2013-07-03 06:23:45 EDT
Description of problem:
Though the value is illegal but still balloon to an minimal value

Version-Release number of selected component (if applicable):


How reproducible:
5 times

Steps to Reproduce:
1.boot up guest 
  /usr/libexec/qemu-kvm -m 6G -smp 4 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win7-64-OS-0402.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,mac=00:11:11:17:F3:23,bus=pci.0,addr=0x4,id=net0 -uuid ace1fce6-8b18-4a79-aa87-39825920699e -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/monitor-win2k8-32-balloon-16,server,nowait -mon chardev=111a,mode=readline -name win2k8-32-balloon-16 -spice port=5931,disable-ticketing -vga qxl -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio -device virtio-balloon-pci,id=balloon0 
2.in monitor
  balloon -11111111111111111111
3.guest will balloon to a minimal size - about 

Actual results:
As it was an illegal value it should not continue to balloon
Expected results:
The guest should not change the value at all

Additional info:
Comment 3 Qunfang Zhang 2013-07-03 23:43:16 EDT
FYI:
Bug 814072 - Guest memory sometimes reduces to a small number after balloon mem to a large negative value 

As the bug can not be reproduced with qmp command, and this issue only affects HMP which is not supported by RHEL. So it won't plan to be fixed.
Comment 4 Ademar Reis 2013-07-22 17:40:38 EDT
(In reply to Qunfang Zhang from comment #3)
> FYI:
> Bug 814072 - Guest memory sometimes reduces to a small number after balloon
> mem to a large negative value 
> 
> As the bug can not be reproduced with qmp command, and this issue only
> affects HMP which is not supported by RHEL. So it won't plan to be fixed.

Indeed

Note You need to log in before you can comment on or make changes to this bug.